Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am considering to temporarily change my repositories to Maverick, on a Lucid system.
I want to install a newer version of Evolution because it has a particular feature I want.

I don't want to apply general Maverick updates.. I'm only interested in Evolution...

My reason for this it to let apt/Synaptic sort out the dependencies...

I suspect this could be pretty dicey if I allowed anything more than just a simple single app, but even then, it may be a bad move..

Am I courting disaster here?

share|improve this question

4 Answers 4

up vote 10 down vote accepted

No, it's not safe. Evolution will pull lot's of updates that can break nearly anything. Looks like a fun thing to try in a Virutal Machine (with snapshots) anyway.

share|improve this answer
    
Thanks.. Mission aborted! .. but a good learning moment, none the less... –  Peter.O Nov 5 '10 at 11:08

It is not the best way but will eventually work for some little application.

But: evolution is definitely more than "just a simple single app". It has dependencies to the evolution-data-server, to many different newer gtk-libs, and so on. Especially since evolution got many refactoring for the move to gnome3.

I don't think this is a good idea.

share|improve this answer
    
Yes, thanks.. I was looking at my "simple" and thought "someone is going to pull me up on this! :) –  Peter.O Nov 5 '10 at 11:09

If for evolution only the better way would be to add an appropriate ppa e.g.:

sudo add-apt-repository ppa:jacob/evo230

and install from there (in case you trust this ppa). Mind that Evolution may not exactly work the same as in Maverick and that installing other dependencies may cause instabilities to your system.

share|improve this answer

Though i would not recommend it either, there is a mechanism called pinning (Just in case you ever want to install a more recent version):

Pinning is a process that allows you to remain on a stable release of Ubuntu (or any other debian system) while grabbing packages from a more recent version.

(https://help.ubuntu.com/community/PinningHowto)

share|improve this answer
    
Thanks Clausi... This page is very informative and interesting... It actually warns/recommends againt itself, but it does suggest backports ... so I uncommented my backports lines in /etc/apt/sources.lists to see what showed up .... Well, Evolution didn't show up there, which tallies nicely with the warnings I've overwhelmingly received.... but it did show a few "backported" updgrades, one of which was VirtualBox-ose... I'm not moving to Maverick for a while, so this looks pretty useful... I haven't installed the upgrades yet... I think they backports are "accredited" as robust. –  Peter.O Nov 5 '10 at 12:30

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.